JavaScript is required to use Bungie.net

#feedback

8/27/2018 2:25:02 PM
10

Y1 WEAPONS WILL NOT WORK WITH Y2 WEAPONS. BECAUSE BUNGIE HATES YOU

Find everything again, or youre at a severe disadvantage. Yup. This is what a dev does when they take thier customers for friggin fools. And they ALWAYS wait until before an update to relase this critical info. wow. Man, F these guys.

投稿言語:

 

マナーを守りましょう。投稿する前に、Bungie の行為規範を確認してください。 キャンセル 編集 ファイアチームを作る 投稿

トピック全体を表示
このコンテンツはご覧いただけません。
;
preload icon
preload icon
preload icon